com.sap.conn.jco

## Interface JCoRequest

- All Superinterfaces:
    Cloneable, Iterable<JCoField>, JCoParameterList, JCoRecord, Serializable

      public interface JCoRequest
      extends JCoParameterList

  A JCoRequest is a special view on a JCoFunction and is used in the Request/Response model of JCo function calls. It contains all parameters of a function that are inputs to a function call, the import, changing, and table parameters.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCoResponse` | `execute(JCoDestination destination)` Executes the request on the given target destination synchronously using the RFC protocol.
    `AbapException` | `getException(String key)` Returns the ABAP exception for the specified key.
    `AbapException[]` | `getExceptionList()` Returns the ABAP exception list.
    `String` | `getName()` Returns the name of the function module that is referred to by the JCoRequest.
    `boolean` | `isAbapClassExceptionEnabled()` Returns the boolean value that indicates whether or not the server is permitted to transmit an ABAP class exception when executing this request.
    `void` | `setAbapClassExceptionMode(AbapClassException.Mode mode)` Sets the mode for ABAP class exceptions.

    - ### Methods inherited from interface com.sap.conn.jco.JCoParameterList

      `getListMetaData, getParameterFieldIterator, isActive, isActive, setActive, setActive`

    - ### Methods inherited from interface com.sap.conn.jco.JCoRecord

      `clear, clone, copyFrom, fromJSON, fromJSON, getAbapObject, getAbapObject, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBinaryStream, getBinaryStream, getByte, getByte, getByteArray, getByteArray, getChar, getChar, getCharacterStream, getCharacterStream, getCharArray, getCharArray, getClassNameOfValue, getDate, getDate, getDouble, getDouble, getField, getField, getFieldCount, getFieldIterator, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getShort, getShort, getString, getString, getStructure, getStructure, getTable, getTable, getTime, getTime, getValue, getValue, isInitialized, isInitialized, iterator, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, toJSON, toJSON, toXML, toXML, toXML, write, write`

- - ### Method Detail

    - #### getExceptionList

          AbapException[] getExceptionList()

      Returns the ABAP exception list.
      Returns:
        the ABAP exception list or `null` if none is defined

    - #### getException

          AbapException getException(String key)

      Returns the ABAP exception for the specified key.
      Parameters:
        `key` - the key for the exception as specified in the function interface
      Returns:
        the ABAP exception for the specified key or `null`

    - #### execute

          JCoResponse execute(JCoDestination destination)
                              throws JCoException

      Executes the request on the given target destination synchronously using the RFC protocol.
      Parameters:
        `destination` - the destination on which the request should be executed
      Returns:
        the response object containing the result of the request execution
      Throws:
        `JCoException` - if an exception occurred during the call execution
      See Also:
        `JCoResponse`

    - #### getName

          String getName()

      Returns the name of the function module that is referred to by the JCoRequest.
      Returns:
        the name of the function module

    - #### setAbapClassExceptionMode

          void setAbapClassExceptionMode(AbapClassException.Mode mode)

      Sets the mode for ABAP class exceptions. Enabling means the ABAP server is permitted to transmit an ABAP class exception, whereas disabling signifies that the server must not transmit such an exception.
      Parameters:
        `mode` - the value determining whether ABAP class exceptions are permitted (full or limited to the exception chain) or not

    - #### isAbapClassExceptionEnabled

          boolean isAbapClassExceptionEnabled()

      Returns the boolean value that indicates whether or not the server is permitted to transmit an ABAP class exception when executing this request.
      Returns:
        `true` or `false` depending on whether transmitting ABAP class exceptions is permitted or not, respectively

Copyright © 2018 SAP. All Rights Reserved.